## ros-one-qb-hand-gazebo 3.0.4-1jammy.20251023.1248

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.4 FATAL_ERROR)
project(qb_hand_gazebo VERSION 3.0.4 LANGUAGES CXX)

# Dependency Settings
find_package(catkin REQUIRED
  COMPONENTS
    roscpp
    gazebo_ros_control
    controller_manager
    qb_device_gazebo
    qb_device_hardware_interface
)
find_package(gazebo REQUIRED)

include_directories(include
  ${catkin_INCLUDE_DIRS}
  ${GAZEBO_INCLUDE_DIRS}
)

link_directories(${GAZEBO_LIBRARY_DIRS})

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    qb_hand_gazebo_plugin
    qb_hand_gazebo_hardware_interface
  CATKIN_DEPENDS
    roscpp
    controller_manager
    gazebo_ros_control
    qb_device_gazebo
    qb_device_hardware_interface
)

# Exported libraries
add_library(qb_hand_gazebo_plugin
  src/qb_hand_gazebo_plugin.cpp
)

target_link_libraries(qb_hand_gazebo_plugin
  PUBLIC
    ${catkin_LIBRARIES}
    ${GAZEBO_LIBRARIES}
    qb_hand_gazebo_hardware_interface
)

add_dependencies(qb_hand_gazebo_plugin
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
)

add_library(qb_hand_gazebo_hardware_interface
  src/qb_hand_gazebo_hardware_interface.cpp
)

target_link_libraries(qb_hand_gazebo_plugin
  PUBLIC
    ${catkin_LIBRARIES}
    ${GAZEBO_LIBRARIES}
)

add_dependencies(qb_hand_gazebo_plugin
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
)

# C++ Settings
if (CMAKE_VERSION VERSION_LESS "3.1")
  target_compile_options(qb_hand_gazebo_plugin
    PUBLIC
      "-std=c++17"
  )
  target_compile_options(qb_hand_gazebo_hardware_interface
    PUBLIC
      "-std=c++17"
  )
else ()
  set_property(
    TARGET
      qb_hand_gazebo_plugin
      qb_hand_gazebo_hardware_interface
    PROPERTY CXX_STANDARD 17
  )

  set_property(
    TARGET
      qb_hand_gazebo_plugin
      qb_hand_gazebo_hardware_interface
    PROPERTY CXX_STANDARD_REQUIRED ON
  )
endif ()

# Installation
install(
  TARGETS qb_hand_gazebo_plugin qb_hand_gazebo_hardware_interface
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(
  DIRECTORY
    include/qb_hand_gazebo/
  DESTINATION
    ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(
  FILES
    plugin.xml
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-qb-hand-gazebo (3.0.4-1jammy.20251023.1248) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 23 Oct 2025 12:48:16 +0000

ros-one-qb-hand-gazebo (3.0.4-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 23 Oct 2025 12:48:16 -0000

=== debian/control ===
Source: ros-one-qb-hand-gazebo
Section: misc
Priority: optional
Maintainer: Alessandro Tondo <alessandro.tondo@qbrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-controller-manager, ros-one-gazebo-ros-control, ros-one-qb-device-gazebo, ros-one-qb-device-hardware-interface, ros-one-roscpp
Homepage: http://wiki.ros.org/qb_hand_gazebo
Standards-Version: 3.9.2

Package: ros-one-qb-hand-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-controller-manager, ros-one-gazebo-ros-control, ros-one-qb-device-gazebo, ros-one-qb-device-hardware-interface, ros-one-roscpp
Description: This package contains the Gazebo ROS control plugins for qbrobotics® SoftHand device.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-qb-hand-gazebo//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-qb-hand-gazebo 3.0.4-1jammy.20260222.0002

=== debian/changelog ===
ros-one-qb-hand-gazebo (3.0.4-1jammy.20260222.0002) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 22 Feb 2026 00:02:06 +0000

## ros-one-qb-hand-gazebo 3.0.4-1noble.20251023.1436

=== debian/changelog ===
ros-one-qb-hand-gazebo (3.0.4-1noble.20251023.1436) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 23 Oct 2025 14:36:13 +0000

ros-one-qb-hand-gazebo (3.0.4-0noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 23 Oct 2025 14:36:13 -0000

## ros-one-qb-hand-gazebo 3.0.4-1noble.20260222.0111

=== debian/changelog ===
ros-one-qb-hand-gazebo (3.0.4-1noble.20260222.0111) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 22 Feb 2026 01:11:15 +0000
